Skip to main content
GET
/
wallet
/
pl
Get wallet PnL holdings data
curl --request GET \
  --url https://openapiv1.coinstats.app/wallet/pl \
  --header 'X-API-KEY: <api-key>'
{
  "result": [
    {
      "count": 44.4987,
      "coin": {
        "rank": 2,
        "identifier": "ethereum",
        "symbol": "ETH",
        "name": "Ethereum",
        "icon": "https://static.coinstats.app/coins/1650455629727.png",
        "priceChange24h": -5.74,
        "priceChange1h": 0.1,
        "priceChange7d": 1.12,
        "volume": 61315198931.43572,
        "isFake": false,
        "isFiat": false
      },
      "price": {
        "USD": 4343.564311034,
        "BTC": 0.039479708,
        "ETH": 1
      },
      "profitPercent": {
        "allTime": {
          "USD": 83720.75297372,
          "BTC": 0.054246576,
          "ETH": -0.0008427712028833412
        },
        "hour24": {
          "USD": -11770.04265107636,
          "BTC": -0.055726915608058335,
          "ETH": 0
        },
        "lastTrade": {
          "USD": -0.0011652685976688212,
          "BTC": -8.325768295004658e-9,
          "ETH": 8.470329472543003e-22
        },
        "unrealized": {
          "USD": 64875.375139922,
          "BTC": 0.516615331,
          "ETH": -0.000013421973257266018
        },
        "realized": {
          "USD": 18844.785945298,
          "BTC": -0.46237401135664413,
          "ETH": -0.0008426785167330308
        }
      },
      "profit": {
        "allTime": {
          "USD": 83720.75297372,
          "BTC": 0.054246576,
          "ETH": -0.0008427712028833412
        },
        "hour24": {
          "USD": -11770.04265107636,
          "BTC": -0.055726915608058335,
          "ETH": 0
        },
        "lastTrade": {
          "USD": -0.0011652685976688212,
          "BTC": -8.325768295004658e-9,
          "ETH": 8.470329472543003e-22
        },
        "unrealized": {
          "USD": 64875.375139922,
          "BTC": 0.516615331,
          "ETH": -0.000013421973257266018
        },
        "realized": {
          "USD": 18844.785945298,
          "BTC": -0.46237401135664413,
          "ETH": -0.0008426785167330308
        }
      },
      "averageBuy": {
        "allTime": {
          "USD": 83720.75297372,
          "BTC": 0.054246576,
          "ETH": -0.0008427712028833412
        },
        "hour24": {
          "USD": -11770.04265107636,
          "BTC": -0.055726915608058335,
          "ETH": 0
        },
        "lastTrade": {
          "USD": -0.0011652685976688212,
          "BTC": -8.325768295004658e-9,
          "ETH": 8.470329472543003e-22
        },
        "unrealized": {
          "USD": 64875.375139922,
          "BTC": 0.516615331,
          "ETH": -0.000013421973257266018
        },
        "realized": {
          "USD": 18844.785945298,
          "BTC": -0.46237401135664413,
          "ETH": -0.0008426785167330308
        }
      },
      "averageSell": {
        "allTime": {
          "USD": 83720.75297372,
          "BTC": 0.054246576,
          "ETH": -0.0008427712028833412
        },
        "hour24": {
          "USD": -11770.04265107636,
          "BTC": -0.055726915608058335,
          "ETH": 0
        },
        "lastTrade": {
          "USD": -0.0011652685976688212,
          "BTC": -8.325768295004658e-9,
          "ETH": 8.470329472543003e-22
        },
        "unrealized": {
          "USD": 64875.375139922,
          "BTC": 0.516615331,
          "ETH": -0.000013421973257266018
        },
        "realized": {
          "USD": 18844.785945298,
          "BTC": -0.46237401135664413,
          "ETH": -0.0008426785167330308
        }
      },
      "liquidityScore": 94.44676177373067,
      "volatilityScore": 6.823477152064536,
      "marketCapScore": 90.15554879029162,
      "riskScore": 7.407055529347417,
      "avgChange": 2.631321607022045,
      "totalCost": {
        "USD": 160,
        "BTC": 0.0016,
        "ETH": 0.032
      }
    }
  ],
  "summary": {
    "totalValue": {
      "USD": 160,
      "BTC": 0.0016,
      "ETH": 0.032
    },
    "totalCost": {
      "USD": 160,
      "BTC": 0.0016,
      "ETH": 0.032
    },
    "profit": {
      "allTime": {
        "USD": 160,
        "BTC": 0.0016,
        "ETH": 0.032
      },
      "hour24": {
        "USD": 160,
        "BTC": 0.0016,
        "ETH": 0.032
      },
      "lastTrade": {
        "USD": 160,
        "BTC": 0.0016,
        "ETH": 0.032
      },
      "unrealized": {
        "USD": 160,
        "BTC": 0.0016,
        "ETH": 0.032
      },
      "realized": {
        "USD": 160,
        "BTC": 0.0016,
        "ETH": 0.032
      }
    },
    "profitPercent": {
      "allTime": {
        "USD": 160,
        "BTC": 0.0016,
        "ETH": 0.032
      },
      "hour24": {
        "USD": 160,
        "BTC": 0.0016,
        "ETH": 0.032
      },
      "lastTrade": {
        "USD": 160,
        "BTC": 0.0016,
        "ETH": 0.032
      },
      "unrealized": {
        "USD": 160,
        "BTC": 0.0016,
        "ETH": 0.032
      },
      "realized": {
        "USD": 160,
        "BTC": 0.0016,
        "ETH": 0.032
      }
    }
  }
}
25 credits per request

  • Holdings with the same PnL fields as portfolio coins
  • totalCost per coin
  • Summary totals for the filtered result set
  • address plus connectionId/blockchain
  • Raw wallet requests require transactions to be synced first with PATCH /wallet/transactions
  • coinId: Filter the result and summary by coin ID
  • page & limit: Control pagination

Authorizations

X-API-KEY
string
header
required

API key needed to access the endpoints. Example: 'demo-api-key'

Query Parameters

page
number

Page number to retrieve (1-based indexing)

Example:

1

limit
number

Number of items to return per page

Example:

20

address
string

Wallet address for raw wallet PnL data.

Example:

"0x1234567890abcdef1234567890abcdef12345678"

connectionId
string

Single wallet connection identifier from GET /wallet/blockchains. Required with address.

Example:

"ethereum"

blockchain
string

Blockchain identifier from GET /wallet/blockchains. Used when connectionId is not provided.

Example:

"ethereum"

coinId
string

Filter PnL data by coin ID.

Example:

"bitcoin"

Response

Get wallet PnL data

result
object[]
required

Portfolio holdings with prices, PnL fields, averages, and totalCost

summary
object
required

Totals calculated from the filtered result set